Bug 128797 - qeth driver is broken (Mainframe)
qeth driver is broken (Mainframe)
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
s390x Linux
medium Severity medium
: ---
: ---
Assigned To: Pete Zaitcev
Depends On:
  Show dependency treegraph
Reported: 2004-07-29 13:17 EDT by Elliot Lee
Modified: 2007-11-30 17:10 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-08-04 05:46:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Elliot Lee 2004-07-29 13:17:03 EDT
What happens:

'ifup eth0' doesn't load the qeth module, even though 'alias eth0
qeth' is in /etc/modules.conf.

Even after a manual 'modprobe qeth' succeeds, 'ifconfig eth0' doesn't
work (eth0: error fetching interface information: Device not found).

Having ipv6 loaded doesn't help.
Comment 1 Pete Zaitcev 2004-07-29 13:59:29 EDT
Elliot, please do better than this!
At bare minimum, I need /proc/version, or better yet dmesg
(do NOT dump dmesg into the comments box!)
Comment 2 Elliot Lee 2004-07-29 14:06:04 EDT
It's 2.6.7-1.499 (s390x).

dmesg didn't have any interesting output that I could see. It would be
just as easy for me to give you a shell on the system as for me to
give you the dmesg output, so let me know what you prefer.
Comment 3 Jeremy Katz 2004-08-03 13:12:49 EDT
There are *lots* of changes to qeth configuration in 2.6.  I'm
guessing that you haven't upgraded all of the relevant components and
gotten fixed up config scripts.  Adding Karsten to the cc list as he's
tracked down all of those changes.
Comment 4 Karsten Hopp 2004-08-03 15:05:30 EDT
Most of our 2.6 kernels work just fine with qeth (I'm using it all 
the time) and I suspect old initscripts or an old ifcfg-eth0, but  
I need shell access to poke around a bit 
Comment 5 Elliot Lee 2004-08-03 16:31:47 EDT
Karsten, this is devel8.z900 - you should have permissions to sudo and
all that. Anything else I can provide, please let me know.
Comment 6 Karsten Hopp 2004-08-03 16:47:54 EDT
does kernel-2.6 and its modutils still read /etc/modules.conf or is 
has it switched completely to modprobe.conf ? This would explain why 
the module doesn't get loaded. 
Comment 7 Pete Zaitcev 2004-08-03 18:07:11 EDT
Only /etc/modprobe.conf is used.
I did have to do manual configuration at devel6.

[zaitcev@devel6 zaitcev]$ cat /etc/modprobe.conf
# Note: for use under 2.4, changes must also be made to modules.conf!
include /etc/modprobe.conf.dist
options dasd_mod dasd=200-203
alias eth0 qeth
alias hsi1 qeth
[zaitcev@devel6 zaitcev]$

This is not enough, obviously, you'd need to online the device, too.
I only do it for CTC, in /etc/sysconfig/network-scripts/ifup-ctc:

# P3: No good place to plug this
if grep -q "Linux version 2.6" /proc/version; then
        # Bring the module up to create /sys structure.
        modprobe ctc

        echo "0.0.0150,0.0.0151" > /sys/bus/ccwgroup/drivers/ctc/group
        # We use protocol 0, no need to set it.
        # echo 3 > /sys/bus/ccwgroup/drivers/ctc/0.0.0150/protocol
        echo 1 > /sys/bus/ccwgroup/drivers/ctc/0.0.0150/online

This is something I'm happy to offload on Bill. I'm pretty sure
modern initscripts do this without manual editing like the above.
Comment 8 Karsten Hopp 2004-08-04 05:46:27 EDT
I've patched network-functions, fstab and modprobe.conf on devel8 to 
add sysfs to fstab, an alias to modprobe.conf and the initscripts 
patch from FC3 to configure the ccwgroup device. 
The complete patch can be found in /root/initscripts-diff. 
Network came up ok, devel8 is ready to build again 

Note You need to log in before you can comment on or make changes to this bug.